// IMPORT FROM PICCOLOX

package netmatch.piccolox;

import edu.umd.cs.piccolo.PNode;

public class PNodeLocator extends PLocator {

  protected PNode node;

  public PNodeLocator(PNode pnode) {
    setNode(pnode);
  }

  public PNode getNode() {
    return node;
  }

  public void setNode(PNode pnode) {
    node = pnode;
  }

  public double locateX() {
    return node.getBoundsReference().getCenterX();
  }

  public double locateY() {
    return node.getBoundsReference().getCenterY();
  }
}